import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteOriginEndpointRequest,
  DeleteOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteOriginEndpointCommandInput
  extends DeleteOriginEndpointRequest {}
export interface DeleteOriginEndpointCommandOutput
  extends DeleteOriginEndpointResponse,
    __MetadataBearer {}
declare const DeleteOriginEndpointCommand_base: {
  new (
    input: DeleteOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteOriginEndpointCommandInput,
    DeleteOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteOriginEndpointCommandInput,
    DeleteOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteOriginEndpointCommand extends DeleteOriginEndpointCommand_base {}
