import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteOriginEndpointPolicyRequest,
  DeleteOriginEndpointPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteOriginEndpointPolicyCommandInput
  extends DeleteOriginEndpointPolicyRequest {}
export interface DeleteOriginEndpointPolicyCommandOutput
  extends DeleteOriginEndpointPolicyResponse,
    __MetadataBearer {}
declare const DeleteOriginEndpointPolicyCommand_base: {
  new (
    input: DeleteOriginEndpointPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteOriginEndpointPolicyCommandInput,
    DeleteOriginEndpointPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteOriginEndpointPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteOriginEndpointPolicyCommandInput,
    DeleteOriginEndpointPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteOriginEndpointPolicyCommand extends DeleteOriginEndpointPolicyCommand_base {}
