import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetOriginEndpointPolicyRequest,
  GetOriginEndpointPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetOriginEndpointPolicyCommandInput
  extends GetOriginEndpointPolicyRequest {}
export interface GetOriginEndpointPolicyCommandOutput
  extends GetOriginEndpointPolicyResponse,
    __MetadataBearer {}
declare const GetOriginEndpointPolicyCommand_base: {
  new (
    input: GetOriginEndpointPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetOriginEndpointPolicyCommandInput,
    GetOriginEndpointPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetOriginEndpointPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetOriginEndpointPolicyCommandInput,
    GetOriginEndpointPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetOriginEndpointPolicyCommand extends GetOriginEndpointPolicyCommand_base {}
