import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  UpdateChannelRequest,
  UpdateChannelResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateChannelCommandInput extends UpdateChannelRequest {}
export interface UpdateChannelCommandOutput
  extends UpdateChannelResponse,
    __MetadataBearer {}
declare const UpdateChannelCommand_base: {
  new (
    input: UpdateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateChannelCommandInput,
    UpdateChannelCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateChannelCommandInput,
    UpdateChannelCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateChannelCommand extends UpdateChannelCommand_base {}
