import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  UpdateChannelGroupRequest,
  UpdateChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateChannelGroupCommandInput
  extends UpdateChannelGroupRequest {}
export interface UpdateChannelGroupCommandOutput
  extends UpdateChannelGroupResponse,
    __MetadataBearer {}
declare const UpdateChannelGroupCommand_base: {
  new (
    input: UpdateChannelGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateChannelGroupCommandInput,
    UpdateChannelGroupCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateChannelGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateChannelGroupCommandInput,
    UpdateChannelGroupCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateChannelGroupCommand extends UpdateChannelGroupCommand_base {}
