import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  UpdateOriginEndpointRequest,
  UpdateOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateOriginEndpointCommandInput
  extends UpdateOriginEndpointRequest {}
export interface UpdateOriginEndpointCommandOutput
  extends UpdateOriginEndpointResponse,
    __MetadataBearer {}
declare const UpdateOriginEndpointCommand_base: {
  new (
    input: UpdateOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateOriginEndpointCommandInput,
    UpdateOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateOriginEndpointCommandInput,
    UpdateOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateOriginEndpointCommand extends UpdateOriginEndpointCommand_base {}
