import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  CreateChannelRequest,
  CreateChannelResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateChannelCommandInput extends CreateChannelRequest {}
export interface CreateChannelCommandOutput
  extends CreateChannelResponse,
    __MetadataBearer {}
declare const CreateChannelCommand_base: {
  new (
    input: CreateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateChannelCommandInput,
    CreateChannelCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateChannelCommandInput,
    CreateChannelCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateChannelCommand extends CreateChannelCommand_base {}
