import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetChannelPolicyRequest,
  GetChannelPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelPolicyCommandInput extends GetChannelPolicyRequest {}
export interface GetChannelPolicyCommandOutput
  extends GetChannelPolicyResponse,
    __MetadataBearer {}
declare const GetChannelPolicyCommand_base: {
  new (
    input: GetChannelPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetChannelPolicyCommandInput,
    GetChannelPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetChannelPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetChannelPolicyCommandInput,
    GetChannelPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetChannelPolicyCommand extends GetChannelPolicyCommand_base {}
