import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ListChannelGroupsRequest,
  ListChannelGroupsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListChannelGroupsCommandInput
  extends ListChannelGroupsRequest {}
export interface ListChannelGroupsCommandOutput
  extends ListChannelGroupsResponse,
    __MetadataBearer {}
declare const ListChannelGroupsCommand_base: {
  new (
    input: ListChannelGroupsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListChannelGroupsCommandInput,
    ListChannelGroupsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListChannelGroupsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListChannelGroupsCommandInput,
    ListChannelGroupsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListChannelGroupsCommand extends ListChannelGroupsCommand_base {}
