import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import { ListChannelsRequest, ListChannelsResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListChannelsCommandInput extends ListChannelsRequest {}
export interface ListChannelsCommandOutput
  extends ListChannelsResponse,
    __MetadataBearer {}
declare const ListChannelsCommand_base: {
  new (
    input: ListChannelsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListChannelsCommandInput,
    ListChannelsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListChannelsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListChannelsCommandInput,
    ListChannelsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListChannelsCommand extends ListChannelsCommand_base {}
