import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ListOriginEndpointsRequest,
  ListOriginEndpointsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListOriginEndpointsCommandInput
  extends ListOriginEndpointsRequest {}
export interface ListOriginEndpointsCommandOutput
  extends ListOriginEndpointsResponse,
    __MetadataBearer {}
declare const ListOriginEndpointsCommand_base: {
  new (
    input: ListOriginEndpointsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListOriginEndpointsCommandInput,
    ListOriginEndpointsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListOriginEndpointsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListOriginEndpointsCommandInput,
    ListOriginEndpointsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListOriginEndpointsCommand extends ListOriginEndpointsCommand_base {}
