import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  PutOriginEndpointPolicyRequest,
  PutOriginEndpointPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutOriginEndpointPolicyCommandInput
  extends PutOriginEndpointPolicyRequest {}
export interface PutOriginEndpointPolicyCommandOutput
  extends PutOriginEndpointPolicyResponse,
    __MetadataBearer {}
declare const PutOriginEndpointPolicyCommand_base: {
  new (
    input: PutOriginEndpointPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutOriginEndpointPolicyCommandInput,
    PutOriginEndpointPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PutOriginEndpointPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutOriginEndpointPolicyCommandInput,
    PutOriginEndpointPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutOriginEndpointPolicyCommand extends PutOriginEndpointPolicyCommand_base {}
